# $Revision: 1.6 $, $Date: 2012/01/15 20:16:12 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	boolean
Summary:	boolean - Boolean support for Perl
Name:		perl-boolean
Version:	0.28
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/I/IN/INGY/boolean-%{version}.tar.gz
# Source0-md5:	488916ac0aa8be172460e896a8a9977a
URL:		http://search.cpan.org/dist/boolean/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides basic Boolean support, by defining two special
objects: true and false.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-boolean.spec,v $
Revision 1.6  2012/01/15 20:16:12  zbyniu
- up to 0.28

Revision 1.5  2011/07/01 14:26:05  marti
- up to 0.27

Revision 1.4  2011/01/24 13:41:03  caleb
- Up to 0.26

Revision 1.3  2011/01/19 15:03:59  caleb
- Up to 0.25

Revision 1.2  2010/11/05 11:20:58  caleb
- Up to 0.23

Revision 1.1  2009/02/26 12:43:12  radek
- new

